=== apps/replica_exchange_protomol/Makefile ===

include ../../Makefile.config
include ../../Makefile.rules

all:

test:

install:
	cp replica_exchange_protomol_barrier ${CCTOOLS_INSTALL_DIR}/bin
	cp replica_exchange_protomol_nobarrier ${CCTOOLS_INSTALL_DIR}/bin

clean:
