=== sand/test/Makefile ===
CCTOOLS_HOME = ../..

include ${CCTOOLS_HOME}/Makefile.config
include ${CCTOOLS_HOME}/Makefile.rules

all:

test:
	@echo running sand tests
	@${CCTOOLS_HOME}/dttools/src/test_runner.sh TR_*.sh

clean:

install:
