=== debian/changelog ===
cctools (3.4.2-2) unstable; urgency=low

  * Added patch to handle a missing CFLAGS variable in Python's sysconfig
    report (Closes: #661658).

 -- Michael Hanke <mih@debian.org>  Fri, 30 Mar 2012 12:40:01 +0200

cctools (3.4.2-1) unstable; urgency=low

  * New upstream release.
  * Drop external_python_version patch -- merged upstream.

 -- Michael Hanke <mih@debian.org>  Tue, 21 Feb 2012 16:45:28 +0100
