=== debian/watch ===
version=3
opts="uversionmangle=s/_/./" \
http://www.cse.nd.edu/~ccl/software/files/ \
   cctools-(\d)[\._]+(\d+)[\._]+(\d+)-src\.tar\.gz
