## cctools 3.5.0

=== debian/changelog ===
cctools (3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete patches 'missing_cflags' and 'python_compat'. They have
    been merged upstream.
  * Remove DM-upload flag, not needed anymore.
  * Bumped Standards-version to 3.9.3, no changes necessary.
  * Do not install the new 'apps' binaries. They carry language-specific
    filename extensions, and upstream was asked if renaming is possible. Until
    this is decided they won't be installed to avoid changing the API twice.

 -- Michael Hanke <mih@debian.org>  Fri, 15 Jun 2012 08:30:02 +0200
