=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 			make -B -C work_queue/src/python install CCTOOLS_INSTALL_DIR=$(CURDIR)/debian/tmp ; \
 		done ; \
 	fi
+	# for now remove the 'apps' scripts till upstream confirms that the language
+	# extension can be removed
+	rm -f debian/tmp/bin/*.py
 	# fix permissions
 	find debian/tmp/lib -name '*.py' -exec chmod 644 {} \;
 	# remove undesired pieces
