=== allpairs/src.tpds/Makefile ===
CCTOOLS_HOME = ../../../

include ${CCTOOLS_HOME}/Makefile.config
include ${CCTOOLS_HOME}/Makefile.rules

TARGETS = allpairs allpairs_status allpairs_wait allpairs_cleanup

LOCAL_LDFLAGS=-lchirp -ldttools ${CCTOOLS_INTERNAL_LDFLAGS}

all: ${TARGETS}

allpairs: allpairs.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS} -lm #-lefence

allpairs_status: allpairs_status.o ${CCTOOLS_HOME}/chirp/src/libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

allpairs_wait: allpairs_wait.o ${CCTOOLS_HOME}/chirp/src/libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

allpairs_cleanup: allpairs_cleanup.o ${CCTOOLS_HOME}/chirp/src/libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

test:

clean:
	rm -f core *~ *.o *.a ${TARGETS} 

install: all
	${CCTOOLS_INSTALL} -d ${CCTOOLS_INSTALL_DIR}/
	${CCTOOLS_INSTALL} -d ${CCTOOLS_INSTALL_DIR}/bin
	${CCTOOLS_INSTALL} allpairs ${CCTOOLS_INSTALL_DIR}/bin
	${CCTOOLS_INSTALL} allpairs_wait ${CCTOOLS_INSTALL_DIR}/bin
	${CCTOOLS_INSTALL} allpairs_status ${CCTOOLS_INSTALL_DIR}/bin
	${CCTOOLS_INSTALL} allpairs_cleanup ${CCTOOLS_INSTALL_DIR}/bin	
	${CCTOOLS_INSTALL} allpairs_wrapper.sh ${CCTOOLS_INSTALL_DIR}/bin
