=== debian/changelog ===
cctools (3.5.1-2) unstable; urgency=low

  * Apply upstream patch to address parrot_run stalling on Debian wheezy and
    later (Closes: #678417).

 -- Michael Hanke <mih@debian.org>  Sat, 30 Jun 2012 11:35:24 +0200

cctools (3.5.1-1) unstable; urgency=low

  * New upstream bugfix release, adding support for version 3.2 Linux kernels.
  * Temporarily disabling the test suite upon upstream's request, as it
    generates to many false positives.

 -- Michael Hanke <mih@debian.org>  Fri, 29 Jun 2012 08:16:01 +0200
