=== debian/control ===
--- 
+++ 
@@ -8,12 +8,10 @@
   libglobus-gss-assist-dev, net-tools, doxygen,
   libreadline6-dev | libreadline-dev, libncurses5-dev | libncurses-dev, swig,
   m4, mpi-default-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://nd.edu/~ccl/software/
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/cctools.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/cctools.git
-XS-DM-Upload-Allowed: yes
-
 
 Package: coop-computing-tools
 Architecture: any
