=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 		--with-mysql-path /usr --with-krb5-path /usr --with-readline-path /usr \
 		--with-mpi-path /usr --with-fuse-path /usr --with-zlib-path /usr \
 		--with-python-path /usr
+
+override_dh_auto_test:
+	# disable the tests for now on upstream's request. they will be reenabled
+	# once the test suite can properly deal with the buildd environment
 
 override_dh_auto_install:
 	dh_auto_install -- CCTOOLS_INSTALL_DIR=$(CURDIR)/debian/tmp
